package com.logicbig.example;

import com.fasterxml.jackson.databind.ObjectMapper;
import java.io.IOException;

public class ExampleMain {
    public static void main(String[] args) throws IOException {
        Report r = new Report();
        r.setId(1);
        r.setName("Test report");
        r.setContent("\"data\"");

        System.out.println("-- before serialization --");
        System.out.println(r);

        ObjectMapper om = new ObjectMapper();
        String jsonString = om.writeValueAsString(r);
        System.out.println("-- after serialization --");
        System.out.println(jsonString);
    }
}